/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#include "deal.h"

void pokerDealInit(poker_t *poker) {
  poker->round = POKER_ROUND_DEAL;

  // Shuffle the deck
  cardShuffle(poker->dealer.deck, CARD_DECK_SIZE);

  // Deal 2 card to each player
  pokerDealerDealAll(poker, POKER_DEAL_CARD_EACH);
  
  // Deal 2 card to each player
  pokerDealerDealAll(poker, POKER_DEAL_CARD_EACH);
  
  printf("Cards Dealt\n");
  pokerRoundBetInit(poker);
}